import type { LinterBase } from 'wikiparser-node/extensions/typings';
import type { Linter } from 'eslint';
import type { Warning } from 'stylelint';
import type { Diagnostic } from 'luacheck-browserify';
declare type getLinter<T> = (opt?: Record<string, unknown>) => T;
declare type getAsyncLinter<T> = (opt?: Record<string, unknown>) => Promise<T>;
/**
 * 获取 WikiLint
 * @param opt 选项
 */
export declare const getWikiLinter: getAsyncLinter<LinterBase>;
/**
 * 获取 ESLint
 * @param opt 选项
 */
export declare const getJsLinter: getAsyncLinter<(text: string) => Linter.LintMessage[]>;
/**
 * 获取 Stylelint
 * @param opt 选项
 */
export declare const getCssLinter: getAsyncLinter<(text: string) => Promise<Warning[]>>;
/** 获取 Luacheck */
export declare const getLuaLinter: getAsyncLinter<(text: string) => Promise<Diagnostic[]>>;
declare interface JsonError {
    message: string;
    severity: 'error';
    line: string | undefined;
    column: string | undefined;
    position: string | undefined;
}
/** JSON.parse */
export declare const getJsonLinter: getLinter<(text: string) => JsonError[]>;
export {};
